/*---------------------------------------------------------------------------*\
| MAZE DEMO HEADER FILE
|
|
| created: 31-Oct-90
| history: 31-Oct-90 <chriswil> created.
|
\*---------------------------------------------------------------------------*/

#ifdef WIN16
#define APIENTRY FAR PASCAL
typedef WORD WPARAM;
#else
typedef DWORD WPARAM;
#endif


#define MAZECLASS  "MAZEDEMO"
#define MAZETITLE  "Maze Demo"


typedef struct _MAZEDATA
{
    int nMaze;
} MAZEDATA;
typedef MAZEDATA      *PMAZEDATA;
typedef MAZEDATA NEAR *NPMAZEDATA;
typedef MAZEDATA FAR  *LPMAZEDATA;


/*
** MAZE WINDOW ROUTINES (maze.c)
*/
HWND  FAR      CreateMazeWindow(HWND,int);
LONG  APIENTRY MazeProc(HWND,UINT,WPARAM,LONG);
BOOL           MazeCreateProc(HWND);
VOID           MazeDestroyProc(HWND);
BOOL           MazeCommandProc(HWND,WPARAM,LONG);
VOID           MazePaintProc(HWND);


VOID DrawMaze(HWND);
